// pmruzne.h
// (c) Petr Mikulik (mikulik@sci.muni.cz) - 1994
// Freeware version. It is distributed without any warranty.

#ifndef PMRUZNE_H
#define PMRUZNE_H

#include <iostream.h>

#if defined(__MSDOS__) || defined(__os2)
  #define PM "\xF1"   // 
#else
  #define PM "+-"
#endif

void Press ();

void PressEnter ();

void Warning ( char *text );

//- Old: void FatalError ( char *text );
#define FatalError(text) { cerr <<"FATAL ERROR: "<<text<<endl; exit(5); }

void NotImplemented ( char *what, char do_exit=1 );

// void NotMemory (); // moved to ansicpp.h

char* form ( char* format, double x, char* buffer );
char* form ( char* format, double x );

char* strcatchar ( char* s, char c );
  // appends char to the string

void PathOfFileName ( char *Path, char *FileName, char Slash=0 );
  // returns Path of the FileName (without the last Slash)

char FileExist ( char* FileName );
  // does the file FileName exist?

void PressKeyOrReturn ( );

char* SecToString ( char* S, double time );
// time is in seconds

/*
  Pascal:  _eps=1.1E-19; _sqrteps=3.3E-10; _minflt=5.0e-324; _maxflt=1.7e+308  in double
       or  _eps=2.0E-12; _sqrteps=1.4E-6;  _minflt=2.94E-39; _maxflt=1.7E+38   in real
  Fortran: aMachEps=1.2E-7; aMachSqrtEps=2.5E-4   if debug on
       or  aMachEps=1.1E-19; aMachSqrtEps=2.4E-10 if debug off

   for ( aMachEps=1.0, aMachSqrtEps=2.0;
	  aMachSqrtEps > 1.0;
	  aMachEps=aMachEps/2.0, aMachSqrtEps=1.0+aMachEps) ;
    aMachEps=2.0*aMachEps; aMachSqrtEps=sqrt(aMachEps);
*/


// Dynamicka verze substituce. S se expanduje ci zkracuje podle pozadavku.
void gsub ( char **S, char *What, char *ByWhat );

// Staticka verze. V S musi byt dostatek misto pro substituci.
void gsub ( char *S, char *What, char *ByWhat );


#endif

// end of pmruzne.h
