// Ted jdu pridat ctvrty argument
#include <stdio.h>
#include <string.h>
#include "getoptpm.h"

#define EMSG	""

#ifndef __DECCXX
int  optind = 1; /* index into argv array */
int  opterr = 1; /* allow error message */
int  optopt = 0; /* character checked for validity */
char *optarg=0;  /* the 1st argument associated with option */
#endif
char *optarg2=0; /* the 2nd argument associated with option */
char *optarg3=0; /* the 3rd argument associated with option */
char *optarg4=0; /* the 4th argument associated with option */
char *optplace = EMSG;  /* option letter processing */

signed char pmgetopt ( int argc, char **argv, char *optionS ) {
register char *oli;		/* option letter list index */
if( !*optplace ) {		/* update scanning pointer */
  if ( optind >= argc ||
       !strchr(PMGETOPT_SW,*(optplace = argv[optind])) || !*++optplace )
    return(EOF);
  if ( strchr(PMGETOPT_SW,*optplace) ) {  /* found "--" or // */
    ++optind;
    return(EOF);
    }
  }				/* option letter okay? */
if ( ( (optopt = (int)*optplace++) == (int)':') ||
     (strchr(";!_",optopt)) ||
     !(oli = strchr(optionS,optopt)) ) {
  if(!*optplace) ++optind;
  if (opterr)
    fprintf(stdout, "%s: illegal option -- %c\n", *argv, optopt);
  return(PMGETOPT_BADCH);
  }
if ( !strchr(":;!_", *++oli) || (!*oli) ) {  /* don't need any argument */
  optarg = NULL; optarg2 = NULL; optarg3=NULL;
  if (!*optplace) ++optind;
  }
else
if (*oli==':') {		/* needs one argument */
  if (*optplace) optarg = optplace;	/* no white space */
  else if (argc <= ++optind) {	/* no arg */
    optplace = EMSG;
    if (opterr)
      fprintf(stdout, "%s: option -%c requires an argument\n",
      *argv, optopt);
    return(PMGETOPT_BADCH);
    }
 else optarg = argv[optind];	/* white space */
 optplace = EMSG;
 ++optind;
 }
else
if (*oli==';') {		/* need two arguments */
  if (*optplace) optarg = optplace;	/* no white space */
  else if (argc <= (++optind+1)) {	/* no arg */
    optplace = EMSG;
    if (opterr)
      fprintf(stdout, "%s: option -%c requires two arguments\n",
      *argv, optopt);
    return(PMGETOPT_BADCH);
    }
 else optarg = argv[optind];	/* white space */
 optplace = EMSG;
 ++optind; optarg2=argv[optind++]; optarg3=NULL;
 }
else
if (*oli=='!') {		/* need three arguments */
  if (*optplace) optarg = optplace;	/* no white space */
  else if (argc <= (++optind+2)) {	/* no arg */
    optplace = EMSG;
    if (opterr)
      fprintf(stdout, "%s: option -%c requires three arguments\n",
      *argv, optopt);
    return(PMGETOPT_BADCH);
    }
 else optarg = argv[optind];	/* white space */
 optplace = EMSG;
 ++optind; optarg2=argv[optind++]; optarg3=argv[optind++];
 }
else
if (*oli=='_') {		/* need four arguments */
  if (*optplace) optarg = optplace;	/* no white space */
  else if (argc <= (++optind+3)) {	/* no arg */
    optplace = EMSG;
    if (opterr)
      fprintf(stdout, "%s: option -%c requires four arguments\n",
      *argv, optopt);
    return(PMGETOPT_BADCH);
    }
 else optarg = argv[optind];	/* white space */
 optplace = EMSG;
 ++optind; optarg2=argv[optind++]; optarg3=argv[optind++]; optarg4=argv[optind++];
 }
return(optopt);			/* dump back option letter */
}

// eof getoptpm.cpp
